Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.utils
Class NSInfo

    java.lang.Object
      |
      +--org.apache.xalan.utils.NSInfo

public class NSInfo
extends java.lang.Object

**For internal use only** This class holds information about the namespace info of a node. It is used to optimize namespace lookup in a generic DOM.

Field Summary
`static int` | `ANCESTORHASXMLNS` **For internal use only**
`static int` | `ANCESTORNOXMLNS` **For internal use only**
`static int` | `ANCESTORXMLNSUNPROCESSED` **For internal use only**
`int` | `m_ancestorHasXMLNSAttrs` **For internal use only**
`boolean` | `m_hasProcessedNS` **For internal use only**
`boolean` | `m_hasXMLNSAttrs` **For internal use only**
`java.lang.String` | `m_namespace` **For internal use only**

Constructor Summary
`NSInfo(boolean hasProcessedNS, boolean hasXMLNSAttrs)` **For internal use only**
`NSInfo(boolean hasProcessedNS, boolean hasXMLNSAttrs, int ancestorHasXMLNSAttrs)` **For internal use only**
`NSInfo(java.lang.String namespace, boolean hasXMLNSAttrs)` **For internal use only**

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_namespace

    public java.lang.String m_namespace

### m_hasXMLNSAttrs

    public boolean m_hasXMLNSAttrs

### m_hasProcessedNS

    public boolean m_hasProcessedNS

### m_ancestorHasXMLNSAttrs

    public int m_ancestorHasXMLNSAttrs

### ANCESTORXMLNSUNPROCESSED

    public static final int ANCESTORXMLNSUNPROCESSED

### ANCESTORHASXMLNS

    public static final int ANCESTORHASXMLNS

### ANCESTORNOXMLNS

    public static final int ANCESTORNOXMLNS

Constructor Detail

### NSInfo

    public NSInfo(boolean hasProcessedNS,
                  boolean hasXMLNSAttrs)

### NSInfo

    public NSInfo(boolean hasProcessedNS,
                  boolean hasXMLNSAttrs,
                  int ancestorHasXMLNSAttrs)

### NSInfo

    public NSInfo(java.lang.String namespace,
                  boolean hasXMLNSAttrs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.